# 版本配置
kernel_version: "5.4.278-1.el7.elrepo.x86_64"
kube_version: "1.29.3"
containerd_version: "1.6.33"
calico_version: "3.30.3"

# 国内镜像源配置
mirror_aliyun: "https://mirrors.aliyun.com"
mirror_docker: "https://mirrors.aliyun.com/docker-ce"
mirror_k8s: "https://mirrors.aliyun.com/kubernetes-new"

# 镜像仓库配置
image_registry: "registry.cn-hangzhou.aliyuncs.com"
pause_image: "registry.cn-hangzhou.aliyuncs.com/google_containers/pause:3.9"

# 预留资源配置
system_reserved:
  cpu: "500m"
  memory: "500Mi"
kube_reserved:
  cpu: "250m"
  memory: "300Mi"

# 容器运行时
container_runtime: containerd
cri_socket: "unix:///var/run/containerd/containerd.sock"

# 网络配置
pod_network_cidr: "10.244.0.0/16"
service_cidr: "10.96.0.0/12"
